#
# spec file for package stalonetray
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           stalonetray
Version:        0.8.3
Release:        lp152.4.5
Summary:        Stand-alone freedesktop.org system tray
#
License:        GPL-2.0+
Group:          System/GUI/Other
#
Url:            http://stalonetray.sourceforge.net/
Source:         http://downloads.sourceforge.net/stalonetray/stalonetray-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM stalonetray-fix-compile-error.diff bernhard@bwalle.de
Patch0:         stalonetray-fix-compile-error.diff
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Stalonetray is a stand-alone freedesktop.org and KDE system tray (notification
area) for X Window System/X11 (e.g. X.Org or XFree 86). It has full XEMBED
support and minimal dependencies: an X11 lib only. Stalonetray works with
virtually any EWMH-compliant window manager.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS stalonetrayrc.sample
%{_bindir}/stalonetray
%{_mandir}/man1/stalonetray.1%{ext_man}

%changelog
* Mon Feb 19 2018 crrodriguez@opensuse.org
- remove xorg-x11-devel buildrequires
* Mon Jul 20 2015 petr.cervinka@gmail.com
- added configuration example and AUTHORS file to doc
* Tue Jul  7 2015 petr.cervinka@gmail.com
- spec file, added COPYING to doc
* Fri Jul  3 2015 petr.cervinka@gmail.com
- update to 0.8.3:
  * fix high CPU usage under E19 caused by support for _NET_WM_PING
  * everal fixes in command line and config file parser
  * fixed _NET_WM_STRUTS_PARTIAL support for multiple screens (kudos to Mario Pilz for a patch)
  * fixed _NET_WM_DESKTOP support (thanks to Sasha Vasko for a report)
  * added support for _NET_WM_PING
- stalonetray-fix-compile-error.diff refreshed
* Sat Nov  6 2010 pascal.bleser@opensuse.org
- update to 0.8.1:
  * fixes several bugs related to command line parsing and icon layout
  * grammar fixes and typographical corrections in the documentation
* Thu Dec 10 2009 bernhard@bwalle.de
- Fix build on openSUSE 11.2 and later by changing the return type
  of scrollbars_highlight_off() and scrollbars_highlight_on() to
  void.
- Capitalize the summary to make rpmlint happy.
* Tue Nov 24 2009 mrueckert@suse.de
- update to 0.8.0
- spec file cleanup
* Tue Apr 15 2008 bwalle@suse.de
- initial package
